Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class Orarend

    java.lang.Object
      orarend.Orarend

    public class Orarend

extends java.lang.Object

Órarendek osztálya

Author:
  Csipkés László

Field Summary
`protected Idopont` | `idopont`
`protected java.lang.Long` | `or_sorszam`
`protected OsztTant` | `oszttant`
`protected Tanar` | `tanar`
`protected Terem` | `terem`

Constructor Summary
`Orarend()` Üres konstruktor
`Orarend(OsztTant ot, Terem ter, Tanar tan, Idopont i)` Órarendet létrehozó konstruktor

Method Summary
`Idopont` | `getIdopont()`
`java.lang.Long` | `getOr_sorszam()`
`OsztTant` | `getOszttant()`
`Tanar` | `getTanar()`
`Terem` | `getTerem()`
`void` | `setIdopont(Idopont i)`
`void` | `setOr_sorszam(java.lang.Long id)`
`void` | `setOszttant(OsztTant o)`
`void` | `setTanar(Tanar t)`
`void` | `setTerem(Terem t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### or_sorszam

    protected java.lang.Long or_sorszam

### oszttant

    protected OsztTant oszttant

### terem

    protected Terem terem

### tanar

    protected Tanar tanar

### idopont

    protected Idopont idopont

Constructor Detail

### Orarend

    public Orarend()

  Üres konstruktor

### Orarend

    public Orarend(OsztTant ot,
                   Terem ter,
                   Tanar tan,
                   Idopont i)

  Órarendet létrehozó konstruktor

  Parameters:
    `ot` - Osztály-Tantárgy (OsztTant) kapcsolatú objektum
    `ter` - Terem
    `tan` - Tanár
    `i` - Időpont

Method Detail

### getOr_sorszam

    public java.lang.Long getOr_sorszam()

### setOr_sorszam

    public void setOr_sorszam(java.lang.Long id)

### getOszttant

    public OsztTant getOszttant()

### setOszttant

    public void setOszttant(OsztTant o)

### getTerem

    public Terem getTerem()

### setTerem

    public void setTerem(Terem t)

### getTanar

    public Tanar getTanar()

### setTanar

    public void setTanar(Tanar t)

### getIdopont

    public Idopont getIdopont()

### setIdopont

    public void setIdopont(Idopont i)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD